Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.ButtonItem Class Reference

## Public Member Functions
| ButtonItem ()
| Constructor.
| ButtonItem (ButtonItem button_item)
| Constructor, with another button item object. More...
| ButtonItem (String name, int pos, String exec, String enable, String marked, String tooltip, String label, Bitmap bitmap)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Bitmap | getBitmap ()
| Get a bitmap object of button. More...
String | getEnable ()
| Get an expression string that determines whether to enable the toolbutton. More...
String | getExec ()
| Get the expression string to evaluate when the button is selected. More...
String | getLabel ()
| Get a text label to be displayed on the button to the right of the icon. More...
String | getMarked ()
| Get an expression string that determines whether the toolbutton is marked. More...
String | getName ()
| Get a unique language-independent identifier for the button. More...
int | getPos ()
| Get the button number to place the added button in the toolbar. More...
String | getTooltip ()
| Get the text to display in the button help text when the mouse is over the toolbutton. More...
void | set (String name, int pos, String exec, String enable, String marked, String tooltip, String label, Bitmap bitmap)
| Set values. More...
void | setBitmap (Bitmap value)
| Set a bitmap object of button. More...
void | setEnable (String value)
| Set an expression string that determines whether to enable the toolbutton. More...
void | setExec (String value)
| Set the expression string to evaluate when the button is selected. More...
void | setLabel (String value)
| Set a text label to be displayed on the button to the right of the icon. More...
void | setMarked (String value)
| Set an expression string that determines whether the toolbutton is marked. More...
void | setName (String value)
| Set a unique language-independent identifier for the button. More...
void | setPos (int value)
| Set the button number to place the added button in the toolbar. More...
void | setTooltip (String value)
| Set the text to display in the button help text when the mouse is over the toolbutton. More...

## Detailed Description

This class represents button item.

## Constructor & Destructor Documentation

## ◆ ButtonItem() [1/2]

com.foxit.sdk.ButtonItem.ButtonItem | ( | String | name,
|  | int | pos,
|  | String | exec,
|  | String | enable,
|  | String | marked,
|  | String | tooltip,
|  | String | label,
|  | Bitmap | bitmap
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

## ◆ ButtonItem() [2/2]

com.foxit.sdk.ButtonItem.ButtonItem | ( | ButtonItem | button_item | ) |

Constructor, with another button item object.

Parameters

  [in] | button_item | Another button item object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.ButtonItem.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getBitmap()

com.foxit.sdk.ButtonItem.getBitmap | ( |  | ) |

Get a bitmap object of button.

Returns
  A bitmap object of button.

## ◆ getEnable()

com.foxit.sdk.ButtonItem.getEnable | ( |  | ) |

Get an expression string that determines whether to enable the toolbutton.

Returns
  An expression string that determines whether to enable the toolbutton.

## ◆ getExec()

com.foxit.sdk.ButtonItem.getExec | ( |  | ) |

Get the expression string to evaluate when the button is selected.

Returns
  The expression string to evaluate when the button is selected.

## ◆ getLabel()

com.foxit.sdk.ButtonItem.getLabel | ( |  | ) |

Get a text label to be displayed on the button to the right of the icon.

Returns
  A text label to be displayed on the button to the right of the icon.

## ◆ getMarked()

com.foxit.sdk.ButtonItem.getMarked | ( |  | ) |

Get an expression string that determines whether the toolbutton is marked.

Returns
  An expression string that determines whether the toolbutton is marked.

## ◆ getName()

com.foxit.sdk.ButtonItem.getName | ( |  | ) |

Get a unique language-independent identifier for the button.

Returns
  A unique language-independent identifier for the button.

## ◆ getPos()

com.foxit.sdk.ButtonItem.getPos | ( |  | ) |

Get the button number to place the added button in the toolbar.

Returns
  The button number to place the added button in the toolbar.

## ◆ getTooltip()

com.foxit.sdk.ButtonItem.getTooltip | ( |  | ) |

Get the text to display in the button help text when the mouse is over the toolbutton.

Returns
  The text to display in the button help text when the mouse is over the toolbutton.

## ◆ set()

void com.foxit.sdk.ButtonItem.set | ( | String | name,
|  | int | pos,
|  | String | exec,
|  | String | enable,
|  | String | marked,
|  | String | tooltip,
|  | String | label,
|  | Bitmap | bitmap
| ) |  |

Set values.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

Returns
  None.

## ◆ setBitmap()

com.foxit.sdk.ButtonItem.setBitmap | ( | Bitmap | value | ) |

Set a bitmap object of button.

Parameters

  [in] | value | A bitmap object of button.

Returns
  None.

## ◆ setEnable()

com.foxit.sdk.ButtonItem.setEnable | ( | String | value | ) |

Set an expression string that determines whether to enable the toolbutton.

Parameters

  [in] | value | An expression string that determines whether to enable the toolbutton.

Returns
  None.

## ◆ setExec()

com.foxit.sdk.ButtonItem.setExec | ( | String | value | ) |

Set the expression string to evaluate when the button is selected.

Parameters

  [in] | value | The expression string to evaluate when the button is selected.

Returns
  None.

## ◆ setLabel()

com.foxit.sdk.ButtonItem.setLabel | ( | String | value | ) |

Set a text label to be displayed on the button to the right of the icon.

Parameters

  [in] | value | A text label to be displayed on the button to the right of the icon.

Returns
  None.

## ◆ setMarked()

com.foxit.sdk.ButtonItem.setMarked | ( | String | value | ) |

Set an expression string that determines whether the toolbutton is marked.

Parameters

  [in] | value | An expression string that determines whether the toolbutton is marked.

Returns
  None.

## ◆ setName()

com.foxit.sdk.ButtonItem.setName | ( | String | value | ) |

Set a unique language-independent identifier for the button.

Parameters

  [in] | value | A unique language-independent identifier for the button.

Returns
  None.

## ◆ setPos()

com.foxit.sdk.ButtonItem.setPos | ( | int | value | ) |

Set the button number to place the added button in the toolbar.

Parameters

  [in] | value | The button number to place the added button in the toolbar.

Returns
  None.

## ◆ setTooltip()

com.foxit.sdk.ButtonItem.setTooltip | ( | String | value | ) |

Set the text to display in the button help text when the mouse is over the toolbutton.

Parameters

  [in] | value | The text to display in the button help text when the mouse is over the toolbutton.

Returns
  None.